#include <iostream>

using namespace std;

int max(int a, int b) {
    if (a > b) {
        return a;
    }
    else {
        return b;
    }
}

int min(int a, int b) {
    if (a < b) {
        return a;
    }
    else {
        return b;
    }
}

int main() {
    int h, w;
    cin >> h >> w;
    int s = h * w * 2;
    if (h <= 2 && w <= 2) {
        for (int i = 2; i < max(h, w); i++) {
            s += i * min(h, w);
        }
    }
    else {
        for (int i = 2; i <= max(h, w); i++) {
            s += i * min(h, w);
        }
    }
    cout << s;
}
